ALSA project - the C library reference

Functions
pcm_rate.c File Reference

PCM Rate Plugin Interface. More...

## Functions
const snd_config_t * | snd_pcm_rate_get_default_converter (snd_config_t *root)
| Get a default converter string. More...
int | snd_pcm_rate_open (snd_pcm_t **pcmp, const char *name, snd_pcm_format_t sformat, unsigned int srate, const snd_config_t *converter, snd_pcm_t *slave, int close_slave)
| Creates a new rate PCM. More...
int | _snd_pcm_rate_open (snd_pcm_t **pcmp, const char *name, snd_config_t *root, snd_config_t *conf, snd_pcm_stream_t stream, int mode)
| Creates a new rate PCM. More...

## Detailed Description

PCM Rate Plugin Interface.

Author
  Abramo Bagnara abram.nosp@m.o@al.nosp@m.sa-pr.nosp@m.ojec.nosp@m.t.org
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz

Date
  2000-2004

## Function Documentation

## ◆ _snd_pcm_rate_open()

int _snd_pcm_rate_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | snd_pcm_stream_t | stream,
|  | int | mode
| ) |  |

Creates a new rate PCM.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  root | Root configuration node
  conf | Configuration node with rate PCM description
  stream | Stream type
  mode | Stream mode

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

## ◆ snd_pcm_rate_get_default_converter()

const snd_config_t * snd_pcm_rate_get_default_converter | ( | snd_config_t * | root | ) |

Get a default converter string.

Parameters

  root | Root configuration node

Return values

  A | const config item if found, or NULL

## ◆ snd_pcm_rate_open()

int snd_pcm_rate_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_pcm_format_t | sformat,
|  | unsigned int | srate,
|  | const snd_config_t * | converter,
|  | snd_pcm_t * | slave,
|  | int | close_slave
| ) |  |

Creates a new rate PCM.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  sformat | Slave format
  srate | Slave rate
  converter | SRC type string node
  slave | Slave PCM handle
  close_slave | When set, the slave PCM handle is closed with copy PCM

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.